// Code generated by MockGen. DO NOT EDIT.
// Source: /home/lucifer/go/src/gitlab.com/aher.shiva/estern/api/repository/rate_plan.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/aher.shiva/estern/api/models"
	reflect "reflect"
)

// MockRatePlanRepository is a mock of RatePlanRepository interface
type MockRatePlanRepository struct {
	ctrl     *gomock.Controller
	recorder *MockRatePlanRepositoryMockRecorder
}

// MockRatePlanRepositoryMockRecorder is the mock recorder for MockRatePlanRepository
type MockRatePlanRepositoryMockRecorder struct {
	mock *MockRatePlanRepository
}

// NewMockRatePlanRepository creates a new mock instance
func NewMockRatePlanRepository(ctrl *gomock.Controller) *MockRatePlanRepository {
	mock := &MockRatePlanRepository{ctrl: ctrl}
	mock.recorder = &MockRatePlanRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockRatePlanRepository) EXPECT() *MockRatePlanRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method
func (m *MockRatePlanRepository) Create(ctxt context.Context, ratePlan models.RatePlan) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", ctxt, ratePlan)
	ret0, _ := ret[0].(error)
	return ret0
}

// Create indicates an expected call of Create
func (mr *MockRatePlanRepositoryMockRecorder) Create(ctxt, ratePlan interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockRatePlanRepository)(nil).Create), ctxt, ratePlan)
}
